// Code generated by go-swagger; DO NOT EDIT.

package application_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetApplicationOKCode is the HTTP code returned for type GetApplicationOK
const GetApplicationOKCode int = 200

/*GetApplicationOK RuntimeAppInstance

swagger:response getApplicationOK
*/
type GetApplicationOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeAppInstance `json:"body,omitempty"`
}

// NewGetApplicationOK creates GetApplicationOK with default headers values
func NewGetApplicationOK() *GetApplicationOK {

	return &GetApplicationOK{}
}

// WithPayload adds the payload to the get application o k response
func (o *GetApplicationOK) WithPayload(payload *models.RuntimeAppInstance) *GetApplicationOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get application o k response
func (o *GetApplicationOK) SetPayload(payload *models.RuntimeAppInstance) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetApplicationOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
